Summary: A freely licensed alternative to the GLUT library
Name: freeglut
Version: 2.4.0
Release: 9%{?dist}
URL: http://freeglut.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/freeglut/%{name}-%{version}.tar.gz
License: MIT
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: pkgconfig
BuildRequires: libXext-devel
BuildRequires: libGLU-devel
BuildRequires: glib-devel
Provides: glut
Obsoletes: glut <= 3.7

%description
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.

%package devel
Summary: freeglut developmental libraries and header files
Group: Development/Libraries
Requires: %{name} = %{evr}
Requires: libXext-devel
Requires: libGLU-devel
Requires: glib-devel
Provides: glut-devel
Obsoletes: glut-devel <= 3.7

%description devel
Developmental libraries and header files required for developing or compiling
software which links to the freeglut library, which is an open source
alternative to the popular GLUT library, with an OSI approved free software
license.

%prep
%setup -q

%build
CFLAGS="%{optflags} $(pkg-config --cflags glib) -L%{_x_libraries}"
export CFLAGS
%configure --x-libraries=%{_x_libraries} --disable-warnings
make 

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
# don't include contents of doc/ directory as it is mostly obsolete
%{_libdir}/libglut*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/GL/*.h
%{_libdir}/libglut*.a
%{_libdir}/libglut*.la
%{_libdir}/libglut.so

%changelog
* Fri Sep 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.4.0-8
- Update to 2.4.0.

* Sat Feb 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 2.2.0
- Added glut compatibility provides.
- Moved *.so to devel package.

* Tue Jan 13 2004 Andy Piper <andy.piper@freeuk.com>
- updated to freeglut-2.2.0
- fixed library install

* Fri Nov 14 2003 Andy Piper <andy.piper@freeuk.com>
- updated for freeglut-2.0.1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun 3 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.3
- Add BuildRequires on /sbin/ldconfig
- Change ldconfig call to explicit /sbin/ldconfig

* Sun Jun 1 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.2
- Oddly, when I build this on my workstation, it only builds static libs, but
 when I build it in the buildsystem it builds shared and static libs. Must
 be a twilight zone thing going on. Add shared libs to file lists.

* Sat May 31 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.1
- Added -L/usr/X11R6/%%{_lib} configure script invocation and CFLAGS so lib64
 is treated properly on x86_64/ppc64/s390x architectures
 
* Fri May 30 2003 Mike A. Harris <mharris@devel.capslock.lan> 1.3-0.20020125.0
- Initial build.
